petsc-3.4.2 2013-07-02

# SNESLineSearchType

String with the name of a PETSc line search method

### Synopsis

    typedef const char* SNESLineSearchType;
    #define SNESLINESEARCHBT                 "bt"
    #define SNESLINESEARCHBASIC              "basic"
    #define SNESLINESEARCHL2                 "l2"
    #define SNESLINESEARCHCP                 "cp"
    #define SNESLINESEARCHSHELL              "shell"

### See Also

SNESLineSearchSetType(), SNES

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages